"""
mlpy
==================================================

Machine Learning Py (mlpy) - High-Performance
Python Package for Predictive Modeling.

Homepage: https://mlpy.fbk.eu
"""

from version import version as __version__

from _svm import *
from _irelief import *
from _ranking import *
from _fda import *
from _canberra import *
from _data import *
from _ci import *
from _resampling import *
from _srda import *
from _metrics import *
from _knn import *
from _borda import *
from _dwtfs import *
from _pda import *
from _dlda import *
from _hcluster import *
from _dwt import *
from _uwt import *
from _cwt import *
from gslpy import *
from peaksd import *
from misc import *
from _imputing import *
from _extend import *
from _dtw import *
from _kmedoids import *
from _fssun import *
from _kmeans import *
from _ridgeregression import *
from _lars import *
from _kernel import *
from _spectralreg import *
from _minkowski import *
from _elasticnet import *
from _iuwt import *
from libsvm import *
from liblinear import *

__all__ = []
__all__ += _svm.__all__
__all__ += _knn.__all__
__all__ += _fda.__all__
__all__ += _srda.__all__
__all__ += _pda.__all__
__all__ += _irelief.__all__
__all__ += _dwtfs.__all__
__all__ += _ranking.__all__
__all__ += _resampling.__all__
__all__ += _metrics.__all__
__all__ += _data.__all__
__all__ += _canberra.__all__
__all__ += _ci.__all__
__all__ += _borda.__all__
__all__ += _dlda.__all__
__all__ += _hcluster.__all__
__all__ += _dwt.__all__
__all__ += _uwt.__all__
__all__ += _cwt.__all__
__all__ += ['gamma', 'fact', 'quantile', 'cdf_gaussian_P']
__all__ += ['span_pd']
__all__ += ['away', 'is_power', 'next_power', 'derivative']
__all__ += _imputing.__all__
__all__ += _extend.__all__
__all__ += _dtw.__all__
__all__ += _kmedoids.__all__
__all__ += _fssun.__all__
__all__ += _kmeans.__all__
__all__ += _ridgeregression.__all__
__all__ += _lars.__all__
__all__ += _kernel.__all__
__all__ += _spectralreg.__all__
__all__ += _minkowski.__all__
__all__ += _elasticnet.__all__
__all__ += _iuwt.__all__
__all__ += ['LibSvm', 'LibLinear']
